Abonnement kündigen
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Abrechnung
Abonnement kündigen
Kündigt das aktive Abonnement für den authentifizierten Mandanten am Ende des aktuellen Abrechnungszeitraums.
POST
/
v1
/
billing
/
cancel
Abonnement kündigen
curl --request POST \
--url https://api.truthlocks.com/v1/billing/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "<string>",
"immediate": true
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', immediate: true})
};
fetch('https://api.truthlocks.com/v1/billing/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/cancel"
payload = {
"reason": "<string>",
"immediate": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/cancel"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"immediate\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"cancels_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}POST /v1/billing/cancel
Antwort
Gibt das aktualisierte Abonnementobjekt mitcancel_at_period_end auf true gesetzt zurück.
ISO 8601 Zeitstempel, wann der aktuelle Abrechnungszeitraum endet und die Kündigung wirksam wird.
Die Kündigung erfolgt sofort, wird aber am Ende Ihres Abrechnungszeitraums wirksam. Sie können eine Kündigung nicht über die API rückgängig machen – um sich erneut anzumelden, erstellen Sie eine neue Checkout-Sitzung.

